Bug 979681 - issues with ghostscript on ARM
issues with ghostscript on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 969656 (view as bug list)
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-06-29 07:00 EDT by Peter Robinson
Modified: 2013-07-23 17:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghostscript-9.07-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:37:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-06-29 07:00:07 EDT
We're seeing some issues with ghostscript on ARM

ps2pdf etc/building.ps etc/building.pdf
ps2pdf etc/new_system_call.ps etc/new_system_call.pdf
groff -Tps -s -I. -t -man etc/readme.man > etc/readme.ps
Error: /undefined in /findfont
Operand stack:
   Courier-Bold@0   --nostringval--   Courier-Bold
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1836   3   4   %oparray_pop
Dictionary stack:
   --dict:1166/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--   --dict:59/120(L)--
Current allocation mode is local
Current file position is 5804
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
Error: /undefined in /findfont
Operand stack:
   Courier-Oblique@0   --nostringval--   Courier-Oblique
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1836   3   4   %oparray_pop
Dictionary stack:
   --dict:1166/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--   --dict:59/120(L)--
Current allocation mode is local
Current file position is 5875
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
libtool: compile:  gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -I. -c test/v4l2/main.c -o test/v4l2/main.o >/dev/null 2>&1
make: *** [etc/building.pdf] Error 1
make: *** Waiting for unfinished jobs....
make: *** [etc/new_system_call.pdf] Error 1
ps2pdf etc/readme.ps etc/readme.pdf
Error: /undefined in /findfont
Operand stack:
   Courier@0   --nostringval--   Courier
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1836   3   4   %oparray_pop
Dictionary stack:
   --dict:1166/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--   --dict:59/120(L)--
Current allocation mode is local
Current file position is 5736
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
make: *** [etc/readme.pdf] Error 1

I think it's causing out issues building systemtap, libexplain and others for examples at http://arm.koji.fedoraproject.org/koji/
Comment 1 Tim Waugh 2013-07-01 04:50:04 EDT
What does 'rpm -q ghostscript' say?
Comment 2 Peter Robinson 2013-07-01 05:05:45 EDT
Seen the issue on at least the following

ghostscript-9.07-5.fc20.armv7hl
ghostscript-9.07-3.fc19.armv7hl
Comment 3 Tim Waugh 2013-07-01 06:02:35 EDT
Please try ghostscript-9.07-6, which fixes a font-related bug. Want to rule that out first.
Comment 4 Peter Robinson 2013-07-01 07:09:46 EDT
Unfortunately doesn't appear to help.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1949423
Comment 5 Peter Robinson 2013-07-01 07:48:35 EDT
Another example (on f19) with issues on -6 
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1949447
Comment 6 Peter Robinson 2013-07-02 12:06:04 EDT
Tried with ghostscript-9.07-8.fc20 and still the same

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1952875
Comment 7 Peter Robinson 2013-07-07 08:15:27 EDT
If on F-19 ARM I run the following command I get a crash:

$ ps2pdf classchart.ps
*** stack smashing detected ***: /usr/bin/gs terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0x4c9ef360]
/lib/libc.so.6(__stack_chk_fail+0x10)[0x4c9ef31c]
/lib/libgs.so.9(WRF_wfloat+0x60)[0x414142a0]
======= Memory map: ========
00008000-00009000 r-xp 00000000 b3:03 37717      /usr/bin/gs
00010000-00011000 rw-p 00000000 b3:03 37717      /usr/bin/gs
00bc9000-00fe0000 rw-p 00000000 00:00 0          [heap]
410a8000-410e7000 r-xp 00000000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410e7000-410ee000 ---p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ee000-410ef000 r--p 0003e000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ef000-410f3000 rw-p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410f8000-4152f000 r-xp 00000000 b3:03 12296      /usr/lib/libgs.so.9.07
4152f000-41537000 ---p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41537000-41679000 r--p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41679000-41943000 rw-p 00579000 b3:03 12296      /usr/lib/libgs.so.9.07
41943000-41944000 rw-p 00000000 00:00 0 
4c8c8000-4c8e6000 r-xp 00000000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ee000-4c8ef000 r--p 0001e000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ef000-4c8f0000 rw-p 0001f000 b3:03 1470       /usr/lib/ld-2.17.so
4c8f8000-4ca36000 r-xp 00000000 b3:03 6664       /usr/lib/libc-2.17.so
4ca36000-4ca3e000 ---p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca3e000-4ca40000 r--p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca40000-4ca41000 rw-p 00140000 b3:03 6664       /usr/lib/libc-2.17.so
4ca41000-4ca44000 rw-p 00000000 00:00 0 
4ca48000-4ca66000 r-xp 00000000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca66000-4ca6d000 ---p 0001e000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca6d000-4ca6e000 rw-p 0001d000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca70000-4ca84000 r-xp 00000000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca84000-4ca8b000 ---p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8b000-4ca8c000 r--p 00013000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8c000-4ca8d000 rw-p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8d000-4ca8f000 rw-p 00000000 00:00 0 
4ca98000-4ca9c000 r-xp 00000000 b3:03 45431      /usr/lib/libdl-2.17.so
4ca9c000-4caa3000 ---p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa3000-4caa4000 r--p 00003000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa4000-4caa5000 rw-p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa8000-4cb13000 r-xp 00000000 b3:03 45434      /usr/lib/libm-2.17.so
4cb13000-4cb1a000 ---p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1a000-4cb1b000 r--p 0006a000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1b000-4cb1c000 rw-p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb20000-4cb33000 r-xp 00000000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb33000-4cb3a000 ---p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3a000-4cb3b000 r--p 00012000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3b000-4cb3c000 rw-p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb40000-4cb97000 r-xp 00000000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb97000-4cb9e000 ---p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9e000-4cb9f000 r--p 00056000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9f000-4cba0000 rw-p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cba8000-4cbc4000 r-xp 00000000 b3:03 45448      /usr/lib/libselinux.so.1
4cbc4000-4cbcb000 ---p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcb000-4cbcc000 r--p 0001b000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcc000-4cbcd000 rw-p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcd000-4cbce000 rw-p 00000000 00:00 0 
4cbd0000-4cbd8000 r-xp 00000000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbd8000-4cbdb000 rw-p 00008000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbe0000-4cbe6000 r-xp 00000000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbe6000-4cbee000 ---p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbee000-4cbef000 rw-p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbf8000-4cc5b000 r-xp 00000000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc5b000-4cc62000 ---p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc62000-4cc63000 r--p 00062000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc63000-4cc66000 rw-p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cce8000-4ccee000 r-xp 00000000 b3:03 8404       /usr/lib/librt-2.17.so
4ccee000-4ccf5000 ---p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf5000-4ccf6000 r--p 00005000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf6000-4ccf7000 rw-p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4cd18000-4cd2f000 r-xp 00000000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd2f000-4cd37000 ---p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd37000-4cd38000 r--p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd38000-4cd39000 rw-p 00018000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd39000-4cd3b000 rw-p 00000000 00:00 0 
4cf00000-4cf02000 r-xp 00000000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf02000-4cf09000 ---p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf09000-4cf0a000 r--p 00001000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf0a000-4cf0b000 rw-p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf10000-4cf26000 r-xp 00000000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf26000-4cf2d000 ---p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2d000-4cf2e000 r--p 00015000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2e000-4cf2f000 rw-p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf38000-4d046000 r-xp 00000000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d046000-4d04d000 ---p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04d000-4d04e000 r--p 0010d000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04e000-4d051000 rw-p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d088000-4d0c2000 r-xp 00000000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c2000-4d0c9000 ---p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c9000-4d0ca000 r--p 00039000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0ca000-4d0cb000 rw-p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0d0000-4d126000 r-xp 00000000 b3:03 34901      /usr/lib/libcups.so.2
4d126000-4d12d000 ---p 00056000 b3:03 34901      /usr/lib/libcups.so.2
4d12d000-4d130000 rw-p 00055000 b3:03 34901      /usr/lib/libcups.so.2
4d208000-4d228000 r-xp 00000000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d228000-4d22f000 ---p 00020000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d22f000-4d231000 r--p 0001f000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d231000-4d232000 rw-p 00021000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d238000-4d246000 r-xp 00000000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d246000-4d24d000 ---p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24d000-4d24e000 r--p 0000d000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24e000-4d24f000 rw-p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d258000-4d25c000 r-xp 00000000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d25c000-4d263000 ---p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d263000-4d264000 r--p 00003000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d264000-4d265000 rw-p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d268000-4d2e5000 r-xp 00000000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2e5000-4d2ed000 ---p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2ed000-4d2f0000 r--p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2f0000-4d2f1000 rw-p 00080000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d308000-4d32a000 r-xp 00000000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d32a000-4d331000 ---p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d331000-4d332000 r--p 00021000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d332000-4d333000 rw-p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d350000-4d380000 r-xp 00000000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d380000-4d381000 r--p 00030000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d381000-4d382000 rw-p 00031000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d6a0000-4d6cb000 r-xp 00000000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6cb000-4d6d3000 ---p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d3000-4d6d4000 r--p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d4000-4d6d5000 rw-p 0002c000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d868000-4d86b000 r-xp 00000000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d86b000-4d872000 ---p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d872000-4d873000 r--p 00002000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d873000-4d874000 rw-p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d920000-4d979000 r-xp 00000000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d979000-4d981000 ---p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d981000-4d988000 rw-p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d990000-4d99f000 r-xp 00000000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d99f000-4d9a6000 ---p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a6000-4d9a7000 r--p 0000e000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a7000-4d9a8000 rw-p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9b0000-4d9bf000 r-xp 00000000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9bf000-4d9c6000 ---p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c6000-4d9c7000 r--p 0000e000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c7000-4d9c8000 rw-p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9d0000-4da02000 r-xp 00000000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da02000-4da09000 ---p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da09000-4da0a000 r--p 00031000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0a000-4da0b000 rw-p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0b000-4da1b000 rw-p 00000000 00:00 0 
4db28000-4db96000 r-xp 00000000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db96000-4db9d000 ---p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9d000-4db9e000 r--p 0006d000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9e000-4dba0000 rw-p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4dc00000-4dc02000 r-xp 00000000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc02000-4dc09000 ---p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc09000-4dc0a000 r--p 00001000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc0a000-4dc0b000 rw-p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc78000-4dc83000 r-xp 00000000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc83000-4dc8a000 ---p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8a000-4dc8b000 r--p 0000a000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8b000-4dc8c000 rw-p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc90000-4dcbf000 r-xp 00000000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcbf000-4dcc6000 ---p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc6000-4dcc7000 r--p 0002e000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc7000-4dcc8000 rw-p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc8000-4dcc9000 rw-p 00000000 00:00 0 
4dcd0000-4dcd2000 r-xp 00000000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd2000-4dcd9000 ---p 00002000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd9000-4dcda000 rw-p 00001000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dce0000-4dd8d000 r-xp 00000000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd8d000-4dd94000 ---p 000ad000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd94000-4dd9a000 r--p 000ac000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd9a000-4dd9c000 rw-p 000b2000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dda0000-4dda8000 r-xp 00000000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4dda8000-4ddaf000 ---p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddaf000-4ddb0000 r--p 00007000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb0000-4ddb1000 rw-p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb1000-4ddd8000 rw-p 00000000 00:00 0 
4dde0000-4de22000 r-xp 00000000 b3:03 45491      /usr/lib/libfreebl3.so
4de22000-4de2a000 ---p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2a000-4de2b000 rw-p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2b000-4de2f000 rw-p 00000000 00:00 0 
4de38000-4de72000 r-xp 00000000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de72000-4de7a000 ---p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7a000-4de7b000 r--p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7b000-4de7c000 rw-p 0003b000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de80000-4de99000 r-xp 00000000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4de99000-4dea1000 ---p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea1000-4dea2000 r--p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea2000-4dea3000 rw-p 0001a000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea8000-4df83000 r-xp 00000000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df83000-4df8b000 ---p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df8b000-4df90000 rw-p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df90000-4df91000 rw-p 00000000 00:00 0 
4e620000-4e62e000 r-xp 00000000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e62e000-4e635000 ---p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e635000-4e636000 r--p 0000d000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e636000-4e637000 rw-p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e640000-4e64a000 r-xp 00000000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e64a000-4e652000 ---p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e652000-4e653000 r--p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e653000-4e654000 rw-p 0000b000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
b6df6000-b6df8000 rw-p 00000000 00:00 0 
b6df8000-b6df9000 r--s 00000000 b3:03 45789      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d8.cache-4
b6df9000-b6e02000 r--s 00000000 b3:03 34500      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d8.cache-4
b6e02000-b6e05000 r--s 00000000 b3:03 38351      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d8.cache-4
b6e05000-b6e07000 r--s 00000000 b3:03 45802      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d8.cache-4
b6e07000-b6e08000 r--s 00000000 b3:03 45801      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d8.cache-4
b6e08000-b6e09000 r--s 00000000 b3:03 45800      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d8.cache-4
b6e09000-b6e0a000 r--s 00000000 b3:03 45799      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d8.cache-4
b6e0a000-b6e0b000 r--s 00000000 b3:03 34924      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d8.cache-4
b6e0b000-b6e0c000 r--s 00000000 b3:03 45797      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d8.cache-4
b6e0c000-b6e0d000 r--s 00000000 b3:03 45796      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d8.cache-4
b6e0d000-b6e0e000 r--s 00000000 b3:03 45795      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d8.cache-4
b6e0e000-b6e0f000 r--s 00000000 b3:03 47254      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d8.cache-4
b6e0f000-b6e13000 r--s 00000000 b3:03 45792      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d8.cache-4
b6e13000-b6e25000 r--s 00000000 b3:03 45845      /var/cache/fontconfig/614d1caaa4d7914789410f6367de37ca-le32d8.cache-4
b6e25000-b6e95000 rw-p 00000000 00:00 0 
b6e95000-b6ea8000 r-xp 00000000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6ea8000-b6eaf000 ---p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6eaf000-b6eb0000 r--p 00012000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6eb0000-b6eb1000 rw-p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6eb1000-b6eb3000 rw-p 00000000 00:00 0 
b6eb3000-b6eb9000 r-xp 00000000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6eb9000-b6ec0000 ---p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6ec0000-b6ec1000 r--p 00005000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6ec1000-b6ec2000 rw-p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6ec2000-b6f0f000 r-xp 00000000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f0f000-b6f16000 ---p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f16000-b6f17000 r--p 0004c000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f17000-b6f1a000 rw-p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f1a000-b6f26000 r-xp 00000000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f26000-b6f2e000 ---p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f2e000-b6f33000 r--p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f33000-b6f34000 rw-p 00011000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f34000-b6f3e000 rw-p 00000000 00:00 0 
b6f3e000-b6f3f000 r--s 00000000 b3:03 45793      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d8.cache-4
b6f3f000-b6f49000 r--s 00000000 b3:03 45790      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d8.cache-4
b6f49000-b6f4a000 r--s 00000000 b3:03 21527      /var/cache/fontconfig/3640555adad8a8f6978400293cfce7ab-le32d8.cache-4
b6f4a000-b6f50000 rw-p 00000000 00:00 0 
bea34000-bea55000 rw-p 00000000 00:00 0          [stack]
ffff0000-ffff1000 r-xp 00000000 00:00 0          [vectors]
Aborted

With ps2pdf being a shell script I found it had to workout the exact gs commands to run to recreate the same problem so I tried the following:

gs -sDEVICE=pdfwrite -o output.pdf classchart.ps 
GPL Ghostscript 9.07 (2013-02-14)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.07/Resource/Font/Arial-BoldMT.
Can't find (or can't open) font file Arial-BoldMT.
Querying operating system for font files...
Can't find (or can't open) font file /usr/share/ghostscript/9.07/Resource/Font/Arial-BoldMT.
Can't find (or can't open) font file Arial-BoldMT.
Didn't find this font on the system!
Substituting font Helvetica-Bold for Arial-BoldMT.
Loading NimbusSanL-Bold font from /usr/share/fonts/default/Type1/n019004l.pfb... *** stack smashing detected ***: gs terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0x4c9ef360]
/lib/libc.so.6(__stack_chk_fail+0x10)[0x4c9ef31c]
/lib/libgs.so.9(WRF_wfloat+0x60)[0x414142a0]
======= Memory map: ========
00008000-00009000 r-xp 00000000 b3:03 37717      /usr/bin/gs
00010000-00011000 rw-p 00000000 b3:03 37717      /usr/bin/gs
01e0a000-02217000 rw-p 00000000 00:00 0          [heap]
410a8000-410e7000 r-xp 00000000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410e7000-410ee000 ---p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ee000-410ef000 r--p 0003e000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ef000-410f3000 rw-p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410f8000-4152f000 r-xp 00000000 b3:03 12296      /usr/lib/libgs.so.9.07
4152f000-41537000 ---p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41537000-41679000 r--p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41679000-41943000 rw-p 00579000 b3:03 12296      /usr/lib/libgs.so.9.07
41943000-41944000 rw-p 00000000 00:00 0 
4c8c8000-4c8e6000 r-xp 00000000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ee000-4c8ef000 r--p 0001e000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ef000-4c8f0000 rw-p 0001f000 b3:03 1470       /usr/lib/ld-2.17.so
4c8f8000-4ca36000 r-xp 00000000 b3:03 6664       /usr/lib/libc-2.17.so
4ca36000-4ca3e000 ---p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca3e000-4ca40000 r--p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca40000-4ca41000 rw-p 00140000 b3:03 6664       /usr/lib/libc-2.17.so
4ca41000-4ca44000 rw-p 00000000 00:00 0 
4ca48000-4ca66000 r-xp 00000000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca66000-4ca6d000 ---p 0001e000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca6d000-4ca6e000 rw-p 0001d000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca70000-4ca84000 r-xp 00000000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca84000-4ca8b000 ---p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8b000-4ca8c000 r--p 00013000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8c000-4ca8d000 rw-p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8d000-4ca8f000 rw-p 00000000 00:00 0 
4ca98000-4ca9c000 r-xp 00000000 b3:03 45431      /usr/lib/libdl-2.17.so
4ca9c000-4caa3000 ---p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa3000-4caa4000 r--p 00003000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa4000-4caa5000 rw-p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa8000-4cb13000 r-xp 00000000 b3:03 45434      /usr/lib/libm-2.17.so
4cb13000-4cb1a000 ---p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1a000-4cb1b000 r--p 0006a000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1b000-4cb1c000 rw-p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb20000-4cb33000 r-xp 00000000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb33000-4cb3a000 ---p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3a000-4cb3b000 r--p 00012000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3b000-4cb3c000 rw-p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb40000-4cb97000 r-xp 00000000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb97000-4cb9e000 ---p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9e000-4cb9f000 r--p 00056000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9f000-4cba0000 rw-p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cba8000-4cbc4000 r-xp 00000000 b3:03 45448      /usr/lib/libselinux.so.1
4cbc4000-4cbcb000 ---p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcb000-4cbcc000 r--p 0001b000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcc000-4cbcd000 rw-p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcd000-4cbce000 rw-p 00000000 00:00 0 
4cbd0000-4cbd8000 r-xp 00000000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbd8000-4cbdb000 rw-p 00008000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbe0000-4cbe6000 r-xp 00000000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbe6000-4cbee000 ---p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbee000-4cbef000 rw-p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbf8000-4cc5b000 r-xp 00000000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc5b000-4cc62000 ---p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc62000-4cc63000 r--p 00062000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc63000-4cc66000 rw-p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cce8000-4ccee000 r-xp 00000000 b3:03 8404       /usr/lib/librt-2.17.so
4ccee000-4ccf5000 ---p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf5000-4ccf6000 r--p 00005000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf6000-4ccf7000 rw-p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4cd18000-4cd2f000 r-xp 00000000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd2f000-4cd37000 ---p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd37000-4cd38000 r--p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd38000-4cd39000 rw-p 00018000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd39000-4cd3b000 rw-p 00000000 00:00 0 
4cf00000-4cf02000 r-xp 00000000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf02000-4cf09000 ---p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf09000-4cf0a000 r--p 00001000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf0a000-4cf0b000 rw-p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf10000-4cf26000 r-xp 00000000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf26000-4cf2d000 ---p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2d000-4cf2e000 r--p 00015000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2e000-4cf2f000 rw-p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf38000-4d046000 r-xp 00000000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d046000-4d04d000 ---p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04d000-4d04e000 r--p 0010d000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04e000-4d051000 rw-p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d088000-4d0c2000 r-xp 00000000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c2000-4d0c9000 ---p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c9000-4d0ca000 r--p 00039000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0ca000-4d0cb000 rw-p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0d0000-4d126000 r-xp 00000000 b3:03 34901      /usr/lib/libcups.so.2
4d126000-4d12d000 ---p 00056000 b3:03 34901      /usr/lib/libcups.so.2
4d12d000-4d130000 rw-p 00055000 b3:03 34901      /usr/lib/libcups.so.2
4d208000-4d228000 r-xp 00000000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d228000-4d22f000 ---p 00020000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d22f000-4d231000 r--p 0001f000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d231000-4d232000 rw-p 00021000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d238000-4d246000 r-xp 00000000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d246000-4d24d000 ---p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24d000-4d24e000 r--p 0000d000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24e000-4d24f000 rw-p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d258000-4d25c000 r-xp 00000000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d25c000-4d263000 ---p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d263000-4d264000 r--p 00003000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d264000-4d265000 rw-p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d268000-4d2e5000 r-xp 00000000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2e5000-4d2ed000 ---p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2ed000-4d2f0000 r--p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2f0000-4d2f1000 rw-p 00080000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d308000-4d32a000 r-xp 00000000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d32a000-4d331000 ---p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d331000-4d332000 r--p 00021000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d332000-4d333000 rw-p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d350000-4d380000 r-xp 00000000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d380000-4d381000 r--p 00030000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d381000-4d382000 rw-p 00031000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d6a0000-4d6cb000 r-xp 00000000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6cb000-4d6d3000 ---p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d3000-4d6d4000 r--p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d4000-4d6d5000 rw-p 0002c000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d868000-4d86b000 r-xp 00000000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d86b000-4d872000 ---p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d872000-4d873000 r--p 00002000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d873000-4d874000 rw-p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d920000-4d979000 r-xp 00000000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d979000-4d981000 ---p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d981000-4d988000 rw-p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d990000-4d99f000 r-xp 00000000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d99f000-4d9a6000 ---p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a6000-4d9a7000 r--p 0000e000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a7000-4d9a8000 rw-p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9b0000-4d9bf000 r-xp 00000000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9bf000-4d9c6000 ---p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c6000-4d9c7000 r--p 0000e000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c7000-4d9c8000 rw-p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9d0000-4da02000 r-xp 00000000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da02000-4da09000 ---p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da09000-4da0a000 r--p 00031000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0a000-4da0b000 rw-p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0b000-4da1b000 rw-p 00000000 00:00 0 
4db28000-4db96000 r-xp 00000000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db96000-4db9d000 ---p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9d000-4db9e000 r--p 0006d000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9e000-4dba0000 rw-p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4dc00000-4dc02000 r-xp 00000000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc02000-4dc09000 ---p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc09000-4dc0a000 r--p 00001000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc0a000-4dc0b000 rw-p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc78000-4dc83000 r-xp 00000000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc83000-4dc8a000 ---p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8a000-4dc8b000 r--p 0000a000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8b000-4dc8c000 rw-p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc90000-4dcbf000 r-xp 00000000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcbf000-4dcc6000 ---p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc6000-4dcc7000 r--p 0002e000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc7000-4dcc8000 rw-p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc8000-4dcc9000 rw-p 00000000 00:00 0 
4dcd0000-4dcd2000 r-xp 00000000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd2000-4dcd9000 ---p 00002000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd9000-4dcda000 rw-p 00001000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dce0000-4dd8d000 r-xp 00000000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd8d000-4dd94000 ---p 000ad000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd94000-4dd9a000 r--p 000ac000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd9a000-4dd9c000 rw-p 000b2000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dda0000-4dda8000 r-xp 00000000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4dda8000-4ddaf000 ---p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddaf000-4ddb0000 r--p 00007000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb0000-4ddb1000 rw-p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb1000-4ddd8000 rw-p 00000000 00:00 0 
4dde0000-4de22000 r-xp 00000000 b3:03 45491      /usr/lib/libfreebl3.so
4de22000-4de2a000 ---p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2a000-4de2b000 rw-p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2b000-4de2f000 rw-p 00000000 00:00 0 
4de38000-4de72000 r-xp 00000000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de72000-4de7a000 ---p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7a000-4de7b000 r--p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7b000-4de7c000 rw-p 0003b000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de80000-4de99000 r-xp 00000000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4de99000-4dea1000 ---p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea1000-4dea2000 r--p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea2000-4dea3000 rw-p 0001a000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea8000-4df83000 r-xp 00000000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df83000-4df8b000 ---p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df8b000-4df90000 rw-p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df90000-4df91000 rw-p 00000000 00:00 0 
4e620000-4e62e000 r-xp 00000000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e62e000-4e635000 ---p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e635000-4e636000 r--p 0000d000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e636000-4e637000 rw-p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e640000-4e64a000 r-xp 00000000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e64a000-4e652000 ---p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e652000-4e653000 r--p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e653000-4e654000 rw-p 0000b000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
b6e22000-b6e24000 rw-p 00000000 00:00 0 
b6e24000-b6e25000 r--s 00000000 b3:03 45789      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d8.cache-4
b6e25000-b6e2e000 r--s 00000000 b3:03 34500      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d8.cache-4
b6e2e000-b6e31000 r--s 00000000 b3:03 38351      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d8.cache-4
b6e31000-b6e33000 r--s 00000000 b3:03 45802      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d8.cache-4
b6e33000-b6e34000 r--s 00000000 b3:03 45801      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d8.cache-4
b6e34000-b6e35000 r--s 00000000 b3:03 45800      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d8.cache-4
b6e35000-b6e36000 r--s 00000000 b3:03 45799      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d8.cache-4
b6e36000-b6e37000 r--s 00000000 b3:03 34924      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d8.cache-4
b6e37000-b6e38000 r--s 00000000 b3:03 45797      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d8.cache-4
b6e38000-b6e39000 r--s 00000000 b3:03 45796      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d8.cache-4
b6e39000-b6e3a000 r--s 00000000 b3:03 45795      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d8.cache-4
b6e3a000-b6e3b000 r--s 00000000 b3:03 47254      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d8.cache-4
b6e3b000-b6e3c000 r--s 00000000 b3:03 45793      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d8.cache-4
b6e3c000-b6e40000 r--s 00000000 b3:03 45792      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d8.cache-4
b6e40000-b6e52000 r--s 00000000 b3:03 45845      /var/cache/fontconfig/614d1caaa4d7914789410f6367de37ca-le32d8.cache-4
b6e52000-b6ec2000 rw-p 00000000 00:00 0 
b6ec2000-b6ed5000 r-xp 00000000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6ed5000-b6edc000 ---p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6edc000-b6edd000 r--p 00012000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6edd000-b6ede000 rw-p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6ede000-b6ee0000 rw-p 00000000 00:00 0 
b6ee0000-b6ee6000 r-xp 00000000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6ee6000-b6eed000 ---p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6eed000-b6eee000 r--p 00005000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6eee000-b6eef000 rw-p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6eef000-b6f3c000 r-xp 00000000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f3c000-b6f43000 ---p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f43000-b6f44000 r--p 0004c000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f44000-b6f47000 rw-p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6f47000-b6f53000 r-xp 00000000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f53000-b6f5b000 ---p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f5b000-b6f60000 r--p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f60000-b6f61000 rw-p 00011000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6f61000-b6f6b000 rw-p 00000000 00:00 0 
b6f6b000-b6f75000 r--s 00000000 b3:03 45790      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d8.cache-4
b6f75000-b6f76000 r--s 00000000 b3:03 21527      /var/cache/fontconfig/3640555adad8a8f6978400293cfce7ab-le32d8.cache-4
b6f76000-b6f7d000 rw-p 00000000 00:00 0 
be992000-be9b3000 rw-p 00000000 00:00 0          [stack]
ffff0000-ffff1000 r-xp 00000000 00:00 0          [vectors]
Aborted

And ended up with what looks to be the same crash.

$ gdb --args gs -sDEVICE=pdfwrite -o output.pdf classchart.ps 
GNU gdb (GDB) Fedora (7.6-30.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "armv7hl-redhat-linux-gnueabi".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/gs...Reading symbols from /usr/lib/debug/usr/bin/gs.debug...done.
done.
(gdb) run
Starting program: /usr/bin/gs -sDEVICE=pdfwrite -o output.pdf classchart.ps
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
GPL Ghostscript 9.07 (2013-02-14)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.07/Resource/Font/Arial-BoldMT.
Can't find (or can't open) font file Arial-BoldMT.
Querying operating system for font files...
Can't find (or can't open) font file /usr/share/ghostscript/9.07/Resource/Font/Arial-BoldMT.
Can't find (or can't open) font file Arial-BoldMT.
Didn't find this font on the system!
Substituting font Helvetica-Bold for Arial-BoldMT.
Loading NimbusSanL-Bold font from /usr/share/fonts/default/Type1/n019004l.pfb... *** stack smashing detected ***: /usr/bin/gs terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0x4c9ef360]
/lib/libc.so.6(__stack_chk_fail+0x10)[0x4c9ef31c]
/lib/libgs.so.9(WRF_wfloat+0x60)[0x414142a0]
======= Memory map: ========
00008000-00009000 r-xp 00000000 b3:03 37717      /usr/bin/gs
00010000-00011000 rw-p 00000000 b3:03 37717      /usr/bin/gs
00011000-0041e000 rw-p 00000000 00:00 0          [heap]
410a8000-410e7000 r-xp 00000000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410e7000-410ee000 ---p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ee000-410ef000 r--p 0003e000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410ef000-410f3000 rw-p 0003f000 b3:03 33030      /usr/lib/liblcms2.so.2.0.5
410f8000-4152f000 r-xp 00000000 b3:03 12296      /usr/lib/libgs.so.9.07
4152f000-41537000 ---p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41537000-41679000 r--p 00437000 b3:03 12296      /usr/lib/libgs.so.9.07
41679000-41943000 rw-p 00579000 b3:03 12296      /usr/lib/libgs.so.9.07
41943000-41944000 rw-p 00000000 00:00 0 
4c8c8000-4c8e6000 r-xp 00000000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ee000-4c8ef000 r--p 0001e000 b3:03 1470       /usr/lib/ld-2.17.so
4c8ef000-4c8f0000 rw-p 0001f000 b3:03 1470       /usr/lib/ld-2.17.so
4c8f8000-4ca36000 r-xp 00000000 b3:03 6664       /usr/lib/libc-2.17.so
4ca36000-4ca3e000 ---p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca3e000-4ca40000 r--p 0013e000 b3:03 6664       /usr/lib/libc-2.17.so
4ca40000-4ca41000 rw-p 00140000 b3:03 6664       /usr/lib/libc-2.17.so
4ca41000-4ca44000 rw-p 00000000 00:00 0 
4ca48000-4ca66000 r-xp 00000000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca66000-4ca6d000 ---p 0001e000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca6d000-4ca6e000 rw-p 0001d000 b3:03 45428      /usr/lib/libgcc_s-4.8.1-20130603.so.1
4ca70000-4ca84000 r-xp 00000000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca84000-4ca8b000 ---p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8b000-4ca8c000 r--p 00013000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8c000-4ca8d000 rw-p 00014000 b3:03 9865       /usr/lib/libpthread-2.17.so
4ca8d000-4ca8f000 rw-p 00000000 00:00 0 
4ca98000-4ca9c000 r-xp 00000000 b3:03 45431      /usr/lib/libdl-2.17.so
4ca9c000-4caa3000 ---p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa3000-4caa4000 r--p 00003000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa4000-4caa5000 rw-p 00004000 b3:03 45431      /usr/lib/libdl-2.17.so
4caa8000-4cb13000 r-xp 00000000 b3:03 45434      /usr/lib/libm-2.17.so
4cb13000-4cb1a000 ---p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1a000-4cb1b000 r--p 0006a000 b3:03 45434      /usr/lib/libm-2.17.so
4cb1b000-4cb1c000 rw-p 0006b000 b3:03 45434      /usr/lib/libm-2.17.so
4cb20000-4cb33000 r-xp 00000000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb33000-4cb3a000 ---p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3a000-4cb3b000 r--p 00012000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb3b000-4cb3c000 rw-p 00013000 b3:03 45432      /usr/lib/libz.so.1.2.7
4cb40000-4cb97000 r-xp 00000000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb97000-4cb9e000 ---p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9e000-4cb9f000 r--p 00056000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cb9f000-4cba0000 rw-p 00057000 b3:03 38894      /usr/lib/libpcre.so.1.2.0
4cba8000-4cbc4000 r-xp 00000000 b3:03 45448      /usr/lib/libselinux.so.1
4cbc4000-4cbcb000 ---p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcb000-4cbcc000 r--p 0001b000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcc000-4cbcd000 rw-p 0001c000 b3:03 45448      /usr/lib/libselinux.so.1
4cbcd000-4cbce000 rw-p 00000000 00:00 0 
4cbd0000-4cbd8000 r-xp 00000000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbd8000-4cbdb000 rw-p 00008000 b3:03 10157      /usr/lib/libjbig.so.2.0
4cbe0000-4cbe6000 r-xp 00000000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbe6000-4cbee000 ---p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbee000-4cbef000 rw-p 00006000 b3:03 10177      /usr/lib/libcupsimage.so.2
4cbf8000-4cc5b000 r-xp 00000000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc5b000-4cc62000 ---p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc62000-4cc63000 r--p 00062000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cc63000-4cc66000 rw-p 00063000 b3:03 8577       /usr/lib/libtiff.so.5.2.0
4cce8000-4ccee000 r-xp 00000000 b3:03 8404       /usr/lib/librt-2.17.so
4ccee000-4ccf5000 ---p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf5000-4ccf6000 r--p 00005000 b3:03 8404       /usr/lib/librt-2.17.so
4ccf6000-4ccf7000 rw-p 00006000 b3:03 8404       /usr/lib/librt-2.17.so
4cd18000-4cd2f000 r-xp 00000000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd2f000-4cd37000 ---p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd37000-4cd38000 r--p 00017000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd38000-4cd39000 rw-p 00018000 b3:03 45461      /usr/lib/libresolv-2.17.so
4cd39000-4cd3b000 rw-p 00000000 00:00 0 
4cf00000-4cf02000 r-xp 00000000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf02000-4cf09000 ---p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf09000-4cf0a000 r--p 00001000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf0a000-4cf0b000 rw-p 00002000 b3:03 4634       /usr/lib/libXau.so.6.0.0
4cf10000-4cf26000 r-xp 00000000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf26000-4cf2d000 ---p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2d000-4cf2e000 r--p 00015000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf2e000-4cf2f000 rw-p 00016000 b3:03 45439      /usr/lib/libxcb.so.1.1.0
4cf38000-4d046000 r-xp 00000000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d046000-4d04d000 ---p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04d000-4d04e000 r--p 0010d000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d04e000-4d051000 rw-p 0010e000 b3:03 6837       /usr/lib/libX11.so.6.3.0
4d088000-4d0c2000 r-xp 00000000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c2000-4d0c9000 ---p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0c9000-4d0ca000 r--p 00039000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0ca000-4d0cb000 rw-p 0003a000 b3:03 35814      /usr/lib/libdbus-1.so.3.7.4
4d0d0000-4d126000 r-xp 00000000 b3:03 34901      /usr/lib/libcups.so.2
4d126000-4d12d000 ---p 00056000 b3:03 34901      /usr/lib/libcups.so.2
4d12d000-4d130000 rw-p 00055000 b3:03 34901      /usr/lib/libcups.so.2
4d208000-4d228000 r-xp 00000000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d228000-4d22f000 ---p 00020000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d22f000-4d231000 r--p 0001f000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d231000-4d232000 rw-p 00021000 b3:03 10423      /usr/lib/libexpat.so.1.6.0
4d238000-4d246000 r-xp 00000000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d246000-4d24d000 ---p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24d000-4d24e000 r--p 0000d000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d24e000-4d24f000 rw-p 0000e000 b3:03 7460       /usr/lib/libXext.so.6.4.0
4d258000-4d25c000 r-xp 00000000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d25c000-4d263000 ---p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d263000-4d264000 r--p 00003000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d264000-4d265000 rw-p 00004000 b3:03 10352      /usr/lib/libuuid.so.1.3.0
4d268000-4d2e5000 r-xp 00000000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2e5000-4d2ed000 ---p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2ed000-4d2f0000 r--p 0007d000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d2f0000-4d2f1000 rw-p 00080000 b3:03 11216      /usr/lib/libfreetype.so.6.10.0
4d308000-4d32a000 r-xp 00000000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d32a000-4d331000 ---p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d331000-4d332000 r--p 00021000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d332000-4d333000 rw-p 00022000 b3:03 12180      /usr/lib/libpng15.so.15.13.0
4d350000-4d380000 r-xp 00000000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d380000-4d381000 r--p 00030000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d381000-4d382000 rw-p 00031000 b3:03 45474      /usr/lib/libfontconfig.so.1.7.0
4d6a0000-4d6cb000 r-xp 00000000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6cb000-4d6d3000 ---p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d3000-4d6d4000 r--p 0002b000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d6d4000-4d6d5000 rw-p 0002c000 b3:03 9083       /usr/lib/libnettle.so.4.5
4d868000-4d86b000 r-xp 00000000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d86b000-4d872000 ---p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d872000-4d873000 r--p 00002000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d873000-4d874000 rw-p 00003000 b3:03 45483      /usr/lib/libgpg-error.so.0.9.0
4d920000-4d979000 r-xp 00000000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d979000-4d981000 ---p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d981000-4d988000 rw-p 00059000 b3:03 21503      /usr/lib/libgmp.so.10.1.1
4d990000-4d99f000 r-xp 00000000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d99f000-4d9a6000 ---p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a6000-4d9a7000 r--p 0000e000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9a7000-4d9a8000 rw-p 0000f000 b3:03 10421      /usr/lib/libhogweed.so.2.3
4d9b0000-4d9bf000 r-xp 00000000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9bf000-4d9c6000 ---p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c6000-4d9c7000 r--p 0000e000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9c7000-4d9c8000 rw-p 0000f000 b3:03 10500      /usr/lib/libtasn1.so.6.1.1
4d9d0000-4da02000 r-xp 00000000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da02000-4da09000 ---p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da09000-4da0a000 r--p 00031000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0a000-4da0b000 rw-p 00032000 b3:03 9631       /usr/lib/libjpeg.so.62.1.0
4da0b000-4da1b000 rw-p 00000000 00:00 0 
4db28000-4db96000 r-xp 00000000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db96000-4db9d000 ---p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9d000-4db9e000 r--p 0006d000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4db9e000-4dba0000 rw-p 0006e000 b3:03 45484      /usr/lib/libgcrypt.so.11.8.1
4dc00000-4dc02000 r-xp 00000000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc02000-4dc09000 ---p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc09000-4dc0a000 r--p 00001000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc0a000-4dc0b000 rw-p 00002000 b3:03 45464      /usr/lib/libcom_err.so.2.1
4dc78000-4dc83000 r-xp 00000000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc83000-4dc8a000 ---p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8a000-4dc8b000 r--p 0000a000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc8b000-4dc8c000 rw-p 0000b000 b3:03 45462      /usr/lib/libkrb5support.so.0.1
4dc90000-4dcbf000 r-xp 00000000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcbf000-4dcc6000 ---p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc6000-4dcc7000 r--p 0002e000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc7000-4dcc8000 rw-p 0002f000 b3:03 45463      /usr/lib/libk5crypto.so.3.1
4dcc8000-4dcc9000 rw-p 00000000 00:00 0 
4dcd0000-4dcd2000 r-xp 00000000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd2000-4dcd9000 ---p 00002000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dcd9000-4dcda000 rw-p 00001000 b3:03 45460      /usr/lib/libkeyutils.so.1.4
4dce0000-4dd8d000 r-xp 00000000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd8d000-4dd94000 ---p 000ad000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd94000-4dd9a000 r--p 000ac000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dd9a000-4dd9c000 rw-p 000b2000 b3:03 45465      /usr/lib/libkrb5.so.3.3
4dda0000-4dda8000 r-xp 00000000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4dda8000-4ddaf000 ---p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddaf000-4ddb0000 r--p 00007000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb0000-4ddb1000 rw-p 00008000 b3:03 45492      /usr/lib/libcrypt-2.17.so
4ddb1000-4ddd8000 rw-p 00000000 00:00 0 
4dde0000-4de22000 r-xp 00000000 b3:03 45491      /usr/lib/libfreebl3.so
4de22000-4de2a000 ---p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2a000-4de2b000 rw-p 00042000 b3:03 45491      /usr/lib/libfreebl3.so
4de2b000-4de2f000 rw-p 00000000 00:00 0 
4de38000-4de72000 r-xp 00000000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de72000-4de7a000 ---p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7a000-4de7b000 r--p 0003a000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de7b000-4de7c000 rw-p 0003b000 b3:03 45466      /usr/lib/libgssapi_krb5.so.2.2
4de80000-4de99000 r-xp 00000000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4de99000-4dea1000 ---p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea1000-4dea2000 r--p 00019000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea2000-4dea3000 rw-p 0001a000 b3:03 45493      /usr/lib/libp11-kit.so.0.0.0
4dea8000-4df83000 r-xp 00000000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df83000-4df8b000 ---p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df8b000-4df90000 rw-p 000db000 b3:03 4836       /usr/lib/libgnutls.so.28.19.0
4df90000-4df91000 rw-p 00000000 00:00 0 
4e620000-4e62e000 r-xp 00000000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e62e000-4e635000 ---p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e635000-4e636000 r--p 0000d000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e636000-4e637000 rw-p 0000e000 b3:03 8573       /usr/lib/libavahi-client.so.3.2.9
4e640000-4e64a000 r-xp 00000000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e64a000-4e652000 ---p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e652000-4e653000 r--p 0000a000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
4e653000-4e654000 rw-p 0000b000 b3:03 8416       /usr/lib/libavahi-common.so.3.5.3
b6ea5000-b6ea7000 rw-p 00000000 00:00 0 
b6ea7000-b6ea8000 r--s 00000000 b3:03 45789      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d8.cache-4
b6ea8000-b6eb1000 r--s 00000000 b3:03 34500      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d8.cache-4
b6eb1000-b6eb4000 r--s 00000000 b3:03 38351      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d8.cache-4
b6eb4000-b6eb6000 r--s 00000000 b3:03 45802      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d8.cache-4
b6eb6000-b6eb7000 r--s 00000000 b3:03 45801      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d8.cache-4
b6eb7000-b6eb8000 r--s 00000000 b3:03 45800      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d8.cache-4
b6eb8000-b6eb9000 r--s 00000000 b3:03 45799      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d8.cache-4
b6eb9000-b6eba000 r--s 00000000 b3:03 34924      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d8.cache-4
b6eba000-b6ebb000 r--s 00000000 b3:03 45797      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d8.cache-4
b6ebb000-b6ebc000 r--s 00000000 b3:03 45796      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d8.cache-4
b6ebc000-b6ebd000 r--s 00000000 b3:03 45795      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d8.cache-4
b6ebd000-b6ebe000 r--s 00000000 b3:03 47254      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d8.cache-4
b6ebe000-b6ebf000 r--s 00000000 b3:03 45793      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d8.cache-4
b6ebf000-b6ec3000 r--s 00000000 b3:03 45792      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d8.cache-4
b6ec3000-b6ed5000 r--s 00000000 b3:03 45845      /var/cache/fontconfig/614d1caaa4d7914789410f6367de37ca-le32d8.cache-4
b6ed5000-b6f45000 rw-p 00000000 00:00 0 
b6f45000-b6f58000 r-xp 00000000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6f58000-b6f5f000 ---p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6f5f000-b6f60000 r--p 00012000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6f60000-b6f61000 rw-p 00013000 b3:03 45494      /usr/lib/libICE.so.6.3.0
b6f61000-b6f63000 rw-p 00000000 00:00 0 
b6f63000-b6f69000 r-xp 00000000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6f69000-b6f70000 ---p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6f70000-b6f71000 r--p 00005000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6f71000-b6f72000 rw-p 00006000 b3:03 45495      /usr/lib/libSM.so.6.0.1
b6f72000-b6fbf000 r-xp 00000000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6fbf000-b6fc6000 ---p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6fc6000-b6fc7000 r--p 0004c000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6fc7000-b6fca000 rw-p 0004d000 b3:03 7852       /usr/lib/libXt.so.6.0.0
b6fca000-b6fd6000 r-xp 00000000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6fd6000-b6fde000 ---p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6fde000-b6fe3000 r--p 0000c000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6fe3000-b6fe4000 rw-p 00011000 b3:03 396141     /usr/lib/ghostscript/9.07/X11.so
b6fe4000-b6fee000 rw-p 00000000 00:00 0 
b6fee000-b6ff8000 r--s 00000000 b3:03 45790      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d8.cache-4
b6ff8000-b6ff9000 r--s 00000000 b3:03 21527      /var/cache/fontconfig/3640555adad8a8f6978400293cfce7ab-le32d8.cache-4
b6ff9000-b7000000 rw-p 00000000 00:00 0 
befdf000-bf000000 rw-p 00000000 00:00 0          [stack]
ffff0000-ffff1000 r-xp 00000000 00:00 0          [vectors]

Program received signal SIGABRT, Aborted.
0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) backtrace full
#0  0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        _sys_result = 0
        pd = 0xb6fe4000
        pid = <optimized out>
        selftid = 16989
#1  0x4c927eb4 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xb6fff3d0, sa_sigaction = 0xb6fff3d0}, sa_mask = {__val = {825504052, 811676212, 3204437720, 
              808845318, 3070227392, 1091534848, 1091746776, 1094795840, 3070227392, 15, 1285720892, 1, 1091746776, 10, 1285727084, 3, 3204437702, 
              2, 1285720812, 1, 1285732568, 3, 3204437688, 8, 1285732572, 2, 1285469800, 3204438032, 56, 56, 4, 3204437840}}, sa_flags = 14, 
          sa_restorer = 0x28}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#2  0x4c963fd8 in __libc_message (do_abort=do_abort@entry=2, fmt=0x4ca2b914 "*** %s ***: %s terminated\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:196
        ap = {__ap = 0xbeffdd40}
        ap_copy = {__ap = 0xbeffdd38}
        fd = 14
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#3  0x4c9ef360 in __GI___fortify_fail (msg=0x4ca2b8fc "stack smashing detected") at fortify_fail.c:31
No locals.
#4  0x4c9ef31c in __stack_chk_fail () at stack_chk_fail.c:28
No locals.
#5  0x414142a0 in WRF_wfloat (a_output=0xbeffdef4, a_float=<optimized out>) at base/wrfont.c:77
        buffer = "-4051726059298199208484200482860"
#6  0x34343238 in ?? ()
No symbol table info available.
#7  0x34343238 in ?? ()
No symbol table info available.
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) info registers
r0             0x0	0
r1             0x4ca2b914	1285732628
r2             0x4ca2b8fc	1285732604
r3             0xe3c4f800	3821336576
r4             0x4c8eeeb8	1284435640
r5             0xbeffdd64	3204439396
r6             0xbeffdef4	3204439796
r7             0x1b148	110920
r8             0x1	1
r9             0x0	0
r10            0x1	1
r11            0xf9f2b	1023787
r12            0x0	0
sp             0xbeffdd60	0xbeffdd60
lr             0x414142a0	1094795936
pc             0x414142a0	0x414142a0 <WRF_wfloat+96>
cpsr           0x20000010	536870928
(gdb) thread apply all backtrace

Thread 1 (Thread 0xb6fe4000 (LWP 16989)):
#0  0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x4c927eb4 in __GI_abort () at abort.c:90
#2  0x4c963fd8 in __libc_message (do_abort=do_abort@entry=2, fmt=0x4ca2b914 "*** %s ***: %s terminated\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:196
#3  0x4c9ef360 in __GI___fortify_fail (msg=0x4ca2b8fc "stack smashing detected") at fortify_fail.c:31
#4  0x4c9ef31c in __stack_chk_fail () at stack_chk_fail.c:28
#5  0x414142a0 in WRF_wfloat (a_output=0xbeffdef4, a_float=<optimized out>) at base/wrfont.c:77
#6  0x34343238 in ?? ()
#7  0x34343238 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) 

Not sure if the above is of help or if I can do anything else or test other options.

This is quite critical now as it's basically blocking all newer F-19 and rawhide packages from being built on ARM.
Comment 8 Tim Waugh 2013-07-09 04:04:44 EDT
The stack issue was dealt with in bug #980085, and fixed in ghostscript-9.07-7.fc19.  I don't think that's what you're using in comment #7.

The build from comment #6 shows a different issue:

dvips -t letter -o tutorial.ps tutorial.dvi
This is dvips(k) 5.993 Copyright 2013 Radical Eye Software (www.radicaleye.com)
' TeX output 2013.07.02:1548' -> tutorial.ps
</usr/share/texlive/texmf-dist/dvips/base/tex.pro>
</usr/share/texlive/texmf-dist/fonts/enc/dvips/base/8r.enc>
</usr/share/texlive/texmf-dist/dvips/base/texps.pro>
</usr/share/texlive/texmf-dist/dvips/base/special.pro>. 
</usr/share/texlive/texmf-dist/fonts/type1/bitstrea/charter/bchbi8a.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/bitstrea/charter/bchr8a.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt12.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/bitstrea/charter/bchri8a.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmmi10.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt8.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/bitstrea/charter/bchb8a.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt10.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt9.pfb>[1] 
[2] [3] [4] [5] [6] [7] [8] [9] [10] [11] [12] [13] [14] [15] [16] [17] [18] 
ps2pdf -r600 tutorial.ps
Error: /undefined in --definefont--
Operand stack:
   false   CMMIB10   --dict:12/21(L)--   Font   definefont   --dict:30/32(L)--   unknownerror
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1746   3   3   %oparray_pop   --nostringval--   --nostringval--   1834   3   4   %oparray_pop   --nostringval--
Dictionary stack:
   --dict:1169/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--   --dict:1169/1684(ro)(G)--
Current allocation mode is local
Last OS error: No such file or directory
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
Comment 9 Tim Waugh 2013-07-09 07:27:43 EDT
On the theory that the stack overflow was a symptom of this new problem, I want to find out what the call stack is at the point at which the stack overflow would have occurred.

I've built a new ghostscript package in rawhide, ghostscript-9.07-8.1.fc20, which will abort() in this case. When an arm build of that is available please install the ghostscript and ghostscript-debuginfo packages and then run ghostscript on any dvips-produced .ps file under the debugger:

gdb --args gs -dCompatibilityLevel=1.4 -q -P- \
  -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr \
  -sOutputFile=/dev/null -c .setpdfwrite -f tutorial.ps

Just 'run', and when it aborts enter 'bt' and we'll see what the call stack was and why it's playing with such a huge number of digits.
Comment 10 Peter Robinson 2013-07-10 11:47:15 EDT
Sorry about the delay, I have it built and will test tonight. How can I tell if it's  a dvips-produced .ps file?
Comment 11 Tim Waugh 2013-07-10 11:54:14 EDT
Easiest way is to run dvips on a dvi file. :-)  e.g. with systemtap, run ./configure --enable-docs and 'make' tutorial.ps.
Comment 12 Peter Robinson 2013-07-11 11:11:18 EDT
Sorry about the delay:

$ gdb --args gs -dCompatibilityLevel=1.4 -q -P- -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile=/dev/null -c .setpdfwrite -f pyOpenSSL.ps
GNU gdb (GDB) Fedora (7.6-30.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "armv7hl-redhat-linux-gnueabi".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/gs...Reading symbols from /usr/lib/debug/usr/bin/gs.debug...done.
done.
(gdb) run
Starting program: /usr/bin/gs -dCompatibilityLevel=1.4 -q -P- -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile=/dev/null -c .setpdfwrite -f pyOpenSSL.ps
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".

Program received signal SIGABRT, Aborted.
0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x4c927eb4 in __GI_abort () at abort.c:90
#2  0xb6abe720 in WRF_wfloat (a_output=0x0, a_output@entry=0xbeffde74, a_float=<optimized out>) at base/wrfont.c:76
#3  0xb6abcfc8 in write_main_dictionary (a_fapi_font=a_fapi_font@entry=0x1b128, a_output=a_output@entry=0xbeffde74, Write_CharStrings=1284316896, 
    Write_CharStrings@entry=0) at base/write_t1.c:260
#4  0xb6abda74 in gs_fapi_serialize_type1_font (a_fapi_font=0x1b128, a_buffer=<optimized out>, a_buffer_size=<optimized out>) at base/write_t1.c:432
#5  0xb6abc7c8 in get_scaled_font (a_server=0x1b0ec, a_font=0x1b128, a_font_scale=0xbeffdf74, a_map=<optimized out>, 
    a_descendant_code=gs_fapi_toplevel_begin) at base/fapi_ft.c:1247
#6  0xb6ab86b4 in gs_fapi_prepare_font (pfont=pfont@entry=0x2d8b88, I=I@entry=0x1b0ec, subfont=subfont@entry=1, 
    font_file_path=font_file_path@entry=0x0, full_font_buf=full_font_buf@entry=0x0, xlatmap=0xfa00b "TrueType", 
    xlatmap@entry=0xb68f5530 <zFAPIpassfont+304> "", decodingID=0xbeffe00c, decodingID@entry=0x0) at base/gxfapi.c:393
#7  0xb6aba3e4 in gs_fapi_passfont (pfont=0x2d8b88, subfont=1, subfont@entry=0, font_file_path=font_file_path@entry=0x0, 
    full_font_buf=full_font_buf@entry=0x0, fapi_request=fapi_request@entry=0x0, xlatmap=0xfa00b "TrueType", fapi_id=0xbeffe05c, 
    fapi_id@entry=0xbeffe054, get_server_param_cb=0xb68f2cb4 <ps_get_server_param>) at base/gxfapi.c:1786
#8  0xb68f5530 in zFAPIpassfont (i_ctx_p=0x5bf30) at psi/zfapi.c:2370
#9  0xb68ad794 in interp (pi_ctx_p=pi_ctx_p@entry=0x11234, pref=<optimized out>, perror_object=perror_object@entry=0xbeffe898) at psi/interp.c:1552
#10 0xb68adcfc in gs_call_interp (perror_object=<optimized out>, pexit_code=<optimized out>, user_errors=<optimized out>, pref=0xbeffe828, 
    pi_ctx_p=0x11288) at psi/interp.c:501
#11 gs_interpret (pi_ctx_p=pi_ctx_p@entry=0x11234, pref=pref@entry=0xbeffe848, user_errors=user_errors@entry=-1232459668, 
    pexit_code=pexit_code@entry=0xbeffe898, perror_object=0xbeffe898, perror_object@entry=0xb68a286c <gs_main_run_string+64>) at psi/interp.c:459
#12 0xb68a27a4 in gs_main_interpret (perror_object=<optimized out>, pexit_code=0xbeffe898, user_errors=-1232459668, pref=0xbeffe848, minst=0x111c0)
    at psi/imain.c:235
#13 gs_main_run_string_end (minst=minst@entry=0x111c0, user_errors=user_errors@entry=1, pexit_code=pexit_code@entry=0xbeffe894, 
    perror_object=perror_object@entry=0xb68a286c <gs_main_run_string+64>) at psi/imain.c:609
#14 0xb68a282c in gs_main_run_string_with_length (minst=minst@entry=0x111c0, str=str@entry=0x34f428 "<70794f70656e53534c2e7073>.runfile", 
    length=<optimized out>, user_errors=user_errors@entry=1, pexit_code=pexit_code@entry=0xbeffe894, perror_object=perror_object@entry=0xbeffe898)
    at psi/imain.c:567
#15 0xb68a286c in gs_main_run_string (minst=minst@entry=0x111c0, str=str@entry=0x34f428 "<70794f70656e53534c2e7073>.runfile", user_errors=1, 
    pexit_code=0xbeffe894, pexit_code@entry=0xbeffe88c, perror_object=perror_object@entry=0xbeffe898) at psi/imain.c:549
#16 0xb68a3c78 in run_string (minst=minst@entry=0x111c0, str=str@entry=0x34f428 "<70794f70656e53534c2e7073>.runfile", options=options@entry=3)
    at psi/imainarg.c:865
#17 0xb68a3e00 in runarg (minst=minst@entry=0x111c0, pre=<optimized out>, arg=arg@entry=0xbefff5b2 "pyOpenSSL.ps", post=0xb6b290b0 ".runfile", 
    options=options@entry=3) at psi/imainarg.c:855
#18 0xb68a3ecc in argproc (minst=0x111c0, arg=0xbefff5b2 "pyOpenSSL.ps") at psi/imainarg.c:788
#19 0xb68a5d1c in gs_main_init_with_args (minst=0x111c0, argc=13, argv=0xb6b2943c) at psi/imainarg.c:226
#20 0x00008860 in main (argc=13, argv=0xbefff3a4) at psi/dxmainc.c:86
(gdb)
Comment 13 Tim Waugh 2013-07-11 11:58:42 EDT
Thanks.

Could you please repeat that? But instead of 'bt', use the following commands:

select-frame 3
p i
p *a_fapi_font
p *(gs_font_base*)a_fapi_font->client_font_data2
Comment 14 Peter Robinson 2013-07-11 12:13:46 EDT
$ gdb --args gs -dCompatibilityLevel=1.4 -q -P- -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile=/dev/null -c .setpdfwrite -f pyOpenSSL.ps
GNU gdb (GDB) Fedora (7.6-30.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "armv7hl-redhat-linux-gnueabi".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/gs...Reading symbols from /usr/lib/debug/usr/bin/gs.debug...done.
done.
(gdb) run
Starting program: /usr/bin/gs -dCompatibilityLevel=1.4 -q -P- -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile=/dev/null -c .setpdfwrite -f pyOpenSSL.ps
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".

Program received signal SIGABRT, Aborted.
0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) select-frame 3
(gdb) p i
$1 = 0
(gdb) p *a_fapi_font
$2 = {server_font_data = 0x0, need_decrypt = 1, memory = 0x11698, font_file_path = 0x0, full_font_buf = 0x0, full_font_buf_len = 0, subfont = 0, 
  is_type1 = 1, is_cid = 0, is_outline_font = 0, is_mtx_skipped = 0, is_vertical = 0, ttf_cmap_req = {{platform_id = -1, encoding_id = -1}, {
      platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, 
    {platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, {platform_id = 0, encoding_id = 0}, {
      platform_id = 0, encoding_id = 0}}, client_ctx_p = 0x5bf30, client_font_data = 0x2d8b88, client_font_data2 = 0x2d8b88, char_data = 0x0, 
  char_data_len = 0, embolden = 0, get_word = 0xb68f4280 <FAPI_FF_get_word>, get_long = 0xb68f7370 <FAPI_FF_get_long>, 
  get_float = 0xb68f2f58 <FAPI_FF_get_float>, get_name = 0xb68f3e24 <FAPI_FF_get_name>, get_proc = 0xb68f4064 <FAPI_FF_get_proc>, 
  get_gsubr = 0xb68f5938 <FAPI_FF_get_gsubr>, get_subr = 0xb68f5888 <FAPI_FF_get_subr>, get_raw_subr = 0xb68f3d50 <FAPI_FF_get_raw_subr>, 
  get_glyph = 0xb68f59e8 <FAPI_FF_get_glyph>, serialize_tt_font = 0xb68f72f8 <FAPI_FF_serialize_tt_font>, 
  get_charstring = 0xb68f3fc4 <FAPI_FF_get_charstring>, get_charstring_name = 0xb68f3f14 <FAPI_FF_get_charstring_name>, 
  get_glyphdirectory_data = 0xb68f343c <ps_get_GlyphDirectory_data_ptr>, get_glyphname_or_cid = 0xb68f5ef8 <ps_get_glyphname_or_cid>, 
  fapi_get_metrics = 0xb68f33d4 <ps_fapi_get_metrics>, fapi_set_cache = 0xb68f3268 <ps_fapi_set_cache>}
(gdb) p *(gs_font_base*)a_fapi_font->client_font_data2
$3 = {next = 0x219e68, prev = 0x0, memory = 0x11698, dir = 0x62bb0, is_resource = 0, notify_list = {memory = 0x11a60, first = 0x0}, id = 177, 
  base = 0x2d8b88, client_data = 0x287868, FontMatrix = {xx = 0.00100000005, xy = 0, yx = 0, yy = 0.00100000005, tx = 0, ty = 0}, orig_FontMatrix = {
    xx = 0.00100000005, xy = 0, yx = 0, yy = 0.00100000005, tx = 0, ty = 0}, FontType = ft_encrypted, BitmapWidths = 0, 
  ExactSize = fbit_use_bitmaps, InBetweenSize = fbit_use_outlines, TransformedChar = fbit_use_outlines, WMode = 0, PaintType = 0, StrokeWidth = 0, 
  is_cached = 0, procs = {define_font = 0xb6a9f164 <gs_no_define_font>, make_font = 0xb68da024 <zbase_make_font>, 
    font_info = 0xb68da1f4 <zfont_info>, same_font = 0xb6851548 <z1_same_font>, encode_char = 0xb68c8610 <zfont_encode_char>, 
    decode_glyph = 0xb68c88c0 <gs_font_map_glyph_to_unicode>, enumerate_glyph = 0xb68514b0 <z1_enumerate_glyph>, 
    glyph_info = 0xb685085c <z1_glyph_info>, glyph_outline = 0xb68505e4 <zchar1_glyph_outline>, glyph_name = 0xb68c89c8 <zfont_glyph_name>, 
    init_fstack = 0xb6ab0a60 <gs_default_init_fstack>, next_char_glyph = 0xb6ab0a70 <gs_default_next_char_glyph>, 
    build_char = 0xb6ab0b50 <gs_no_build_char>}, key_name = {chars = "SFTI0800", '\000' <repeats 39 times>, size = 8}, font_name = {
    chars = "SFTI0800", '\000' <repeats 39 times>, size = 8}, FontBBox = {p = {x = -107, y = -320}, q = {x = 1517, y = 930}}, UID = {
    id = 2147483647, xvalues = 0x0}, FAPI = 0x1b0ec, FAPI_font_data = 0x0, encoding_index = ENCODING_INDEX_STANDARD, 
  nearest_encoding_index = ENCODING_INDEX_STANDARD}
(gdb)
Comment 15 Tim Waugh 2013-07-11 12:43:01 EDT
Thanks. Could you please run this set of commands now too?:

select-frame 3
l *((gs_font_base*)a_fapi_font->client_font_data2)->FAPI->get_fontmatrix
Comment 16 Peter Robinson 2013-07-11 12:52:24 EDT
(gdb) run
Starting program: /usr/bin/gs -dCompatibilityLevel=1.4 -q -P- -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile=/dev/null -c .setpdfwrite -f pyOpenSSL.ps
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".

Program received signal SIGABRT, Aborted.
0x4c9268b4 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb)  select-frame 3
(gdb)  l *((gs_font_base*)a_fapi_font->client_font_data2)->FAPI->get_fontmatrix
0xb6abac2c is in get_fontmatrix (base/fapi_ft.c:1495).
1490	
1491	static gs_fapi_retcode
1492	get_fontmatrix(gs_fapi_server * server, gs_matrix * m)
1493	{
1494	    m->xx = 1.0;
1495	    m->xy = 0.0;
1496	    m->yx = 0.0;
1497	    m->yy = 1.0;
1498	    m->tx = 0.0;
1499	    m->ty = 0.0;
(gdb)
Comment 17 Tim Waugh 2013-07-12 12:20:42 EDT
So, the code is effectively this:

==>
#include <stdio.h>

float get_float (void)
{
  double div = 1;
  float xx = 1.0;
  return xx / div;
}

double WRF_wfloat (double f)
{
  printf ("%f\n", f);
}

int main (void)
{
  WRF_wfloat (get_float ());
}
<==

But instead of getting the expected "1.000000" we're getting a very large negative number.

If you run that program on ARM, do you get "1.000000"?
Comment 18 Peter Robinson 2013-07-12 14:39:10 EDT
Looks OK

[peter@trimslice ~]$ vi test.c
[peter@trimslice ~]$ gcc test.c 
[peter@trimslice ~]$ ls
[peter@trimslice ~]$ ./a.out 
1.000000
[peter@trimslice ~]$
Comment 19 Peter Robinson 2013-07-14 07:21:58 EDT
Tim: you know you can get access to ARM devices via beaker right?
Comment 20 Tim Waugh 2013-07-17 11:26:06 EDT
Hmm, no, I must find out how to use that.

Anyway, I've found the problem: a sprintf-like varargs function was being called without the prototype being included.

Fix on the way.
Comment 21 Fedora Update System 2013-07-17 12:29:42 EDT
ghostscript-9.07-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.07-10.fc19
Comment 22 Fedora Update System 2013-07-18 01:48:01 EDT
Package ghostscript-9.07-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.07-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13173/ghostscript-9.07-10.fc19
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-07-20 05:37:06 EDT
ghostscript-9.07-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Peter Robinson 2013-07-23 17:58:28 EDT
*** Bug 969656 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.